Skip to main content
POST
/
catalog
Create a New Catalog
curl --request POST \
  --url https://api-{dc}.moengage.com/v1/catalog \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'MOE-APPKEY: <moe-appkey>' \
  --data '
{
  "name": "SummerCollection2024",
  "price_currency": "USD",
  "attributes": [
    {
      "name": "id",
      "type": "string"
    },
    {
      "name": "title",
      "type": "string"
    },
    {
      "name": "link",
      "type": "string"
    },
    {
      "name": "image_link",
      "type": "string"
    },
    {
      "name": "price",
      "type": "double"
    },
    {
      "name": "in_stock",
      "type": "bool"
    }
  ]
}
'
{ "catalog_id": "{{Catalog_id}}" }

Rate Limit Information

Request limit - 100/min OR 1000/hr. Payload size limit - 5MB only when Content-Length header is provided.

Authorizations

Authorization
string
header
required

Basic Authentication sends a Base64-encoded string containing your username and password.

You can obtain the username and password from the MoEngage Dashboard:

  1. Navigate to Settings > Account > APIs.
  2. Username: Copy the Workspace ID.
  3. Password: Copy the Catalog API key.

Headers

MOE-APPKEY
string
required

Your Workspace ID (earlier APP ID). This is a separate input field.

Body

application/json
name
string
required

A unique name for the catalog.

Example:

"ProductCatalog"

price_currency
enum<string>
required

The ISO 4217 currency code for prices in the catalog.

Available options:
USD,
CAD,
EUR,
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AZN,
BAM,
BDT,
BGN,
BHD,
BIF,
BND,
BOB,
BRL,
BWP,
BYR,
BZD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
GBP,
GEL,
GHS,
GNF,
GTQ,
HKD,
HNL,
HRK,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KHR,
KMF,
KRW,
KWD,
KZT,
LBP,
LKR,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MOP,
MUR,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SDG,
SEK,
SGD,
SOS,
SYP,
THB,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
UYU,
UZS,
VEF,
VND,
XAF,
XOF,
YER,
ZAR,
ZMK
attributes
object[]
required

An array defining the schema of attributes for this catalog.

title - name of the item (string) link - weblink of the item (string) id - unique ID of that represent this item item (string) image_link - image source link of this item (string)

Maximum array length: 50

Response

Catalog created successfully.

catalog_id
string

The unique ID corresponding to a successful catalog creation. This ID must be stored by you and used as a path parameter for all subsequent item ingestion and modification requests.

Example:

"6a4d7b0f-9e3c-4b1a-8f6e-2d9c0b1a3e5d"